=== debian/changelog ===
haproxy (3.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 09 Nov 2025 21:31:19 +0100
