## haproxy 3.2.9

=== debian/changelog ===
haproxy (3.2.9-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2125994). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe
  * Dropped changes:
    - SECURITY UPDATE: DoS via MJSON
      + d/p/CVE-2025-11230.patch: fix possible DoS when parsing numbers
        in src/mjson.c.
      + CVE-2025-11230
      [ Fixed in 3.2.6 ]

 -- Athos Ribeiro <athos@ubuntu.com>  Mon, 24 Nov 2025 17:49:17 -0300

haproxy (3.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Nov 2025 22:10:08 +0100
