## haproxy 3.2.10

=== debian/changelog ===
haproxy (3.2.10-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 12:09:40 +0100

haproxy (3.2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 11:53:17 +0100

haproxy (3.2.9-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Nov 2025 22:35:19 +0100

haproxy (3.2.8-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 09 Nov 2025 21:41:19 +0100

haproxy (3.2.7-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 25 Oct 2025 14:41:16 +0200

haproxy (3.2.6-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 21:22:16 +0200

haproxy (3.2.5-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Sep 2025 22:09:42 +0200

haproxy (3.2.4-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Aug 2025 07:35:28 +0200

haproxy (3.2.3-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 13 Aug 2025 22:35:16 +0200
