## haproxy 3.2.11

=== debian/changelog ===
haproxy (3.2.11-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:19:51 +0100

haproxy (3.2.11-2) unstable; urgency=medium

  * CVE-2026-26081: fix integer overflow in QUIC code
  * CVE-2026-26080: infinite loop in QUIC code

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 22:59:37 +0100

haproxy (3.2.11-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Jan 2026 12:20:11 +0100

haproxy (3.2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Jan 2026 12:17:34 +0100
