## haproxy 3.2.12

=== debian/changelog ===
haproxy (3.2.12-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 22:08:33 +0100

haproxy (3.2.12-1) unstable; urgency=high

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 04:34:13 +0100
