## haproxy 3.2.13

=== debian/changelog ===
haproxy (3.2.13-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Feb 2026 23:40:58 +0100

haproxy (3.2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Feb 2026 23:30:59 +0100
