## haproxy 3.3.0

=== debian/changelog ===
haproxy (3.3.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 28 Nov 2025 23:16:17 +0100

haproxy (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 28 Nov 2025 22:53:24 +0100
