## haproxy 3.3.1

=== debian/changelog ===
haproxy (3.3.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 12:24:08 +0100

haproxy (3.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 12:20:06 +0100
