## haproxy 3.3.2

=== debian/changelog ===
haproxy (3.3.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Jan 2026 08:45:48 +0100
