=== debian/watch ===
Version: 5
Source: https://www.haproxy.org/download/3.3/src/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
