## haproxy 3.3.3

=== debian/changelog ===
haproxy (3.3.3-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 23:52:59 +0100

haproxy (3.3.3-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 23:45:17 +0100

haproxy (3.3.2-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:30:28 +0100

haproxy (3.3.2-2) experimental; urgency=medium

  * CVE-2026-26081: fix integer overflow in QUIC code
  * CVE-2026-26080: infinite loop in QUIC code

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:27:24 +0100

haproxy (3.3.2-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 30 Jan 2026 09:17:08 +0100
