=== debian/changelog ===
haproxy (3.3.4-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Feb 2026 00:01:49 +0100

haproxy (3.3.4-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 19 Feb 2026 23:58:38 +0100
